curl --request GET \
--url https://api.hyperline.co/v1/accounting/rules \
--header 'Authorization: Bearer <token>'{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "arl_abc123def456",
"code": "R-001",
"name": "Recurring subscriptions",
"ledger_id": "led_abc123def456",
"category": "accounting_software",
"priority": 100,
"product_ids": [
"<string>"
],
"product_types": [
"<string>"
],
"customer_ids": [
"<string>"
],
"currencies": [
"<string>"
],
"countries": [
"<string>"
],
"coupon_ids": [
"<string>"
],
"client_provider_ids": [
"<string>"
],
"payment_method_types": [
"<string>"
],
"interval_period": "<string>",
"interval_count": 123,
"revenue_ledger_account_id": "<string>",
"deferred_revenue_ledger_account_id": "<string>",
"deferred_discount_ledger_account_id": "<string>",
"contra_revenue_ledger_account_id": "<string>",
"discount_ledger_account_id": "<string>",
"ar_ledger_account_id": "<string>",
"cash_ledger_account_id": "<string>",
"payments_clearing_ledger_account_id": "<string>",
"output_tax_ledger_account_id": "<string>",
"bad_debt_expense_ledger_account_id": "<string>",
"customer_credits_ledger_account_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"revenue_ledger_account": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"client_provider_id": "<string>",
"provider": {
"name": "<string>"
}
}
}
]
}Retrieve existing accounting rules with optional filtering.
curl --request GET \
--url https://api.hyperline.co/v1/accounting/rules \
--header 'Authorization: Bearer <token>'{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "arl_abc123def456",
"code": "R-001",
"name": "Recurring subscriptions",
"ledger_id": "led_abc123def456",
"category": "accounting_software",
"priority": 100,
"product_ids": [
"<string>"
],
"product_types": [
"<string>"
],
"customer_ids": [
"<string>"
],
"currencies": [
"<string>"
],
"countries": [
"<string>"
],
"coupon_ids": [
"<string>"
],
"client_provider_ids": [
"<string>"
],
"payment_method_types": [
"<string>"
],
"interval_period": "<string>",
"interval_count": 123,
"revenue_ledger_account_id": "<string>",
"deferred_revenue_ledger_account_id": "<string>",
"deferred_discount_ledger_account_id": "<string>",
"contra_revenue_ledger_account_id": "<string>",
"discount_ledger_account_id": "<string>",
"ar_ledger_account_id": "<string>",
"cash_ledger_account_id": "<string>",
"payments_clearing_ledger_account_id": "<string>",
"output_tax_ledger_account_id": "<string>",
"bad_debt_expense_ledger_account_id": "<string>",
"customer_credits_ledger_account_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"revenue_ledger_account": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"client_provider_id": "<string>",
"provider": {
"name": "<string>"
}
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
0 <= x <= 100x >= 0Was this page helpful?